Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Class BlinkIdMultiSideRecognizer.VerificationConstants

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.BlinkIdMultiSideRecognizer.VerificationConstants

Enclosing class:
  BlinkIdMultiSideRecognizer

public static final class BlinkIdMultiSideRecognizer.VerificationConstants extends Object
Constants used for building JSON for the verification service, in case when result fields can be edited and/or inserted. Constants are used to match edited/inserted fields with the original fields.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AdditionalAddressInformation`
  `static final String`
  `AdditionalNameInformation`
  `static final String`
  `AdditionalOptionalAddressInformation`
  `static final String`
  `Address`
  `static final String`
  `BackAdditionalProcessingInfo`
  `static final String`
  `BackCameraFrame`
  `static final String`
  `BackImageAnalysisResult`
  `static final String`
  `BackProcessingStatus`
  `static final String`
  `BackVizResult`
  `static final String`
  `BarcodeCameraFrame`
  `static final String`
  `BarcodeResult`
  `static final String`
  `BarcodeStepUsed`
  `static final String`
  `BloodType`
  `static final String`
  `ClassInfo`
  `static final String`
  `DataMatch`
  `static final String`
  `DateOfBirth`
  `static final String`
  `DateOfExpiry`
  `static final String`
  `DateOfExpiryPermanent`
  `static final String`
  `DateOfIssue`
  `static final String`
  `DependentsInfo`
  `static final String`
  `DocumentAdditionalNumber`
  `static final String`
  `DocumentNumber`
  `static final String`
  `DocumentOptionalAdditionalNumber`
  `static final String`
  `DocumentSubtype`
  `static final String`
  `DriverLicenseDetailedInfo`
  `static final String`
  `EligibilityCategory`
  `static final String`
  `Employer`
  `static final String`
  `EncodedBackFullDocumentImage`
  `static final String`
  `EncodedFaceImage`
  `static final String`
  `EncodedFrontFullDocumentImage`
  `static final String`
  `EncodedSignatureImage`
  `static final String`
  `FaceImage`
  `static final String`
  `FaceImageLocation`
  `static final String`
  `FaceImageSide`
  `static final String`
  `FathersName`
  `static final String`
  `FirstName`
  `static final String`
  `FrontAdditionalProcessingInfo`
  `static final String`
  `FrontCameraFrame`
  `static final String`
  `FrontImageAnalysisResult`
  `static final String`
  `FrontProcessingStatus`
  `static final String`
  `FrontVizResult`
  `static final String`
  `FullDocumentBackImage`
  `static final String`
  `FullDocumentFrontImage`
  `static final String`
  `FullName`
  `static final String`
  `IssuingAuthority`
  `static final String`
  `LastName`
  `static final String`
  `LocalizedName`
  `static final String`
  `ManufacturingYear`
  `static final String`
  `MaritalStatus`
  `static final String`
  `MothersName`
  `static final String`
  `MrzResult`
  `static final String`
  `Nationality`
  `static final String`
  `PersonalIdNumber`
  `static final String`
  `PlaceOfBirth`
  `static final String`
  `ProcessingStatus`
  `static final String`
  `Profession`
  `static final String`
  `Race`
  `static final String`
  `RecognitionMode`
  `static final String`
  `Religion`
  `static final String`
  `Remarks`
  `static final String`
  `ResidencePermitType`
  `static final String`
  `ResidentialStatus`
  `static final String`
  `ScanningFirstSideDone`
  `static final String`
  `Sex`
  `static final String`
  `SignatureImage`
  `static final String`
  `SpecificDocumentValidity`
  `static final String`
  `Sponsor`
  `static final String`
  `VehicleType`
  `static final String`
  `VisaType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerificationConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FrontImageAnalysisResult

    public static final String FrontImageAnalysisResult
    See Also:
      - Constant Field Values

  - ### AdditionalOptionalAddressInformation

    public static final String AdditionalOptionalAddressInformation
    See Also:
      - Constant Field Values

  - ### FathersName

    public static final String FathersName
    See Also:
      - Constant Field Values

  - ### DocumentNumber

    public static final String DocumentNumber
    See Also:
      - Constant Field Values

  - ### DocumentOptionalAdditionalNumber

    public static final String DocumentOptionalAdditionalNumber
    See Also:
      - Constant Field Values

  - ### SpecificDocumentValidity

    public static final String SpecificDocumentValidity
    See Also:
      - Constant Field Values

  - ### FrontProcessingStatus

    public static final String FrontProcessingStatus
    See Also:
      - Constant Field Values

  - ### BarcodeCameraFrame

    public static final String BarcodeCameraFrame
    See Also:
      - Constant Field Values

  - ### AdditionalAddressInformation

    public static final String AdditionalAddressInformation
    See Also:
      - Constant Field Values

  - ### Employer

    public static final String Employer
    See Also:
      - Constant Field Values

  - ### DependentsInfo

    public static final String DependentsInfo
    See Also:
      - Constant Field Values

  - ### VehicleType

    public static final String VehicleType
    See Also:
      - Constant Field Values

  - ### BackAdditionalProcessingInfo

    public static final String BackAdditionalProcessingInfo
    See Also:
      - Constant Field Values

  - ### Profession

    public static final String Profession
    See Also:
      - Constant Field Values

  - ### EncodedFrontFullDocumentImage

    public static final String EncodedFrontFullDocumentImage
    See Also:
      - Constant Field Values

  - ### ClassInfo

    public static final String ClassInfo
    See Also:
      - Constant Field Values

  - ### DateOfExpiry

    public static final String DateOfExpiry
    See Also:
      - Constant Field Values

  - ### LocalizedName

    public static final String LocalizedName
    See Also:
      - Constant Field Values

  - ### BackVizResult

    public static final String BackVizResult
    See Also:
      - Constant Field Values

  - ### BarcodeStepUsed

    public static final String BarcodeStepUsed
    See Also:
      - Constant Field Values

  - ### MrzResult

    public static final String MrzResult
    See Also:
      - Constant Field Values

  - ### FullDocumentBackImage

    public static final String FullDocumentBackImage
    See Also:
      - Constant Field Values

  - ### ProcessingStatus

    public static final String ProcessingStatus
    See Also:
      - Constant Field Values

  - ### FirstName

    public static final String FirstName
    See Also:
      - Constant Field Values

  - ### DocumentSubtype

    public static final String DocumentSubtype
    See Also:
      - Constant Field Values

  - ### ScanningFirstSideDone

    public static final String ScanningFirstSideDone
    See Also:
      - Constant Field Values

  - ### Nationality

    public static final String Nationality
    See Also:
      - Constant Field Values

  - ### AdditionalNameInformation

    public static final String AdditionalNameInformation
    See Also:
      - Constant Field Values

  - ### MothersName

    public static final String MothersName
    See Also:
      - Constant Field Values

  - ### MaritalStatus

    public static final String MaritalStatus
    See Also:
      - Constant Field Values

  - ### LastName

    public static final String LastName
    See Also:
      - Constant Field Values

  - ### Sponsor

    public static final String Sponsor
    See Also:
      - Constant Field Values

  - ### DriverLicenseDetailedInfo

    public static final String DriverLicenseDetailedInfo
    See Also:
      - Constant Field Values

  - ### PersonalIdNumber

    public static final String PersonalIdNumber
    See Also:
      - Constant Field Values

  - ### EncodedFaceImage

    public static final String EncodedFaceImage
    See Also:
      - Constant Field Values

  - ### BloodType

    public static final String BloodType
    See Also:
      - Constant Field Values

  - ### FaceImage

    public static final String FaceImage
    See Also:
      - Constant Field Values

  - ### EncodedSignatureImage

    public static final String EncodedSignatureImage
    See Also:
      - Constant Field Values

  - ### FrontCameraFrame

    public static final String FrontCameraFrame
    See Also:
      - Constant Field Values

  - ### FullDocumentFrontImage

    public static final String FullDocumentFrontImage
    See Also:
      - Constant Field Values

  - ### EligibilityCategory

    public static final String EligibilityCategory
    See Also:
      - Constant Field Values

  - ### DateOfExpiryPermanent

    public static final String DateOfExpiryPermanent
    See Also:
      - Constant Field Values

  - ### ResidentialStatus

    public static final String ResidentialStatus
    See Also:
      - Constant Field Values

  - ### BackCameraFrame

    public static final String BackCameraFrame
    See Also:
      - Constant Field Values

  - ### BarcodeResult

    public static final String BarcodeResult
    See Also:
      - Constant Field Values

  - ### PlaceOfBirth

    public static final String PlaceOfBirth
    See Also:
      - Constant Field Values

  - ### Address

    public static final String Address
    See Also:
      - Constant Field Values

  - ### ResidencePermitType

    public static final String ResidencePermitType
    See Also:
      - Constant Field Values

  - ### ManufacturingYear

    public static final String ManufacturingYear
    See Also:
      - Constant Field Values

  - ### Race

    public static final String Race
    See Also:
      - Constant Field Values

  - ### EncodedBackFullDocumentImage

    public static final String EncodedBackFullDocumentImage
    See Also:
      - Constant Field Values

  - ### RecognitionMode

    public static final String RecognitionMode
    See Also:
      - Constant Field Values

  - ### Sex

    public static final String Sex
    See Also:
      - Constant Field Values

  - ### FullName

    public static final String FullName
    See Also:
      - Constant Field Values

  - ### BackProcessingStatus

    public static final String BackProcessingStatus
    See Also:
      - Constant Field Values

  - ### DateOfBirth

    public static final String DateOfBirth
    See Also:
      - Constant Field Values

  - ### DocumentAdditionalNumber

    public static final String DocumentAdditionalNumber
    See Also:
      - Constant Field Values

  - ### DataMatch

    public static final String DataMatch
    See Also:
      - Constant Field Values

  - ### DateOfIssue

    public static final String DateOfIssue
    See Also:
      - Constant Field Values

  - ### VisaType

    public static final String VisaType
    See Also:
      - Constant Field Values

  - ### Religion

    public static final String Religion
    See Also:
      - Constant Field Values

  - ### BackImageAnalysisResult

    public static final String BackImageAnalysisResult
    See Also:
      - Constant Field Values

  - ### IssuingAuthority

    public static final String IssuingAuthority
    See Also:
      - Constant Field Values

  - ### FrontVizResult

    public static final String FrontVizResult
    See Also:
      - Constant Field Values

  - ### SignatureImage

    public static final String SignatureImage
    See Also:
      - Constant Field Values

  - ### FaceImageSide

    public static final String FaceImageSide
    See Also:
      - Constant Field Values

  - ### Remarks

    public static final String Remarks
    See Also:
      - Constant Field Values

  - ### FrontAdditionalProcessingInfo

    public static final String FrontAdditionalProcessingInfo
    See Also:
      - Constant Field Values

  - ### FaceImageLocation

    public static final String FaceImageLocation
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VerificationConstants

    public VerificationConstants()